druid.extensions.loadList=["druid-parquet-extensions", "druid-protobuf-extensions", "druid-orc-extensions", "druid-kinesis-indexing-service", "druid-basic-security", "druid-kerberos", "druid-avro-extensions", "druid-kafka-indexing-service", "druid-datasketches", "mysql-metadata-storage", "druid-lookups-cached-global", "druid-s3-extensions", "druid-stats"]

druid.host={{ hostname }}


druid.startup.logging.logProperties=true

druid.zk.service.host={{ zookeeper_ip }}
druid.zk.paths.base=/druid

druid.metadata.storage.type=mysql
druid.metadata.storage.connector.connectURI={{ mysql_connectURI }}
druid.metadata.storage.connector.user={{ mysql_user }}
druid.metadata.storage.connector.password={{ mysql_password }}

druid.storage.type=s3
druid.storage.bucket={{ s3_bucket }}
druid.storage.baseKey=druid/segments
druid.s3.accessKey={{ s3_access_key }}
druid.s3.secretKey={{ s3_secret_key }}

druid.indexer.logs.type=s3
druid.indexer.logs.s3Bucket=your-bucket
druid.indexer.logs.s3Prefix=druid/indexing-logs

druid.selectors.indexing.serviceName=druid/overlord
druid.selectors.coordinator.serviceName=druid/coordinator

druid.monitoring.monitors=["io.druid.java.util.metrics.JvmMonitor"]
druid.emitter=logging
druid.emitter.logging.logLevel=info

druid.indexing.doubleStorage=double

druid.server.hiddenProperties=["druid.s3.accessKey","druid.s3.secretKey","druid.metadata.storage.connector.password"]

druid.sql.enable=true

druid.lookup.enableLookupSyncOnStartup=false
